import { defineComponent as e, computed as t, openBlock as a, createElementBlock as n, normalizeClass as l, withModifiers as i, renderSlot as d, ref as u, createElementVNode as r, toDisplayString as o, createCommentVNode as s } from "vue";
const p = ["type", "disabled", "aria-disabled"], c = { key: 0, class: "spinner" }, m = (e2, t2) => {
  const a2 = e2.__vccOpts || e2;
  for (const [e3, n2] of t2) a2[e3] = n2;
  return a2;
}, f = m(e({ __name: "index", props: { variant: { default: "primary" }, size: { default: "medium" }, disabled: { type: Boolean, default: false }, type: { default: "button" }, fullWidth: { type: Boolean, default: false }, loading: { type: Boolean, default: false } }, emits: ["click"], setup(e2, { emit: u2 }) {
  const r2 = { primary: "bg-blue-500 text-white", secondary: "bg-gray-200 text-black", tertiary: "border border-gray-300 bg-transparent" }, o2 = { small: "px-2 py-1 text-sm", medium: "px-4 py-2 text-base", large: "px-6 py-3 text-lg" }, s2 = e2, m2 = t(() => ["foundation-button", r2[s2.variant], o2[s2.size], { "opacity-50 cursor-not-allowed": s2.disabled, "cursor-wait": s2.loading, "foundation-button--full-width": s2.fullWidth }]), f2 = u2, b2 = (e3) => {
    s2.disabled || f2("click", e3);
  };
  return (e3, t2) => (a(), n("button", { class: l(m2.value), type: s2.type, disabled: s2.disabled || s2.loading, onClick: i(b2, ["stop"]), "aria-disabled": s2.disabled }, [s2.loading ? (a(), n("span", c, "Loading...")) : d(e3.$slots, "default", { key: 1 }, void 0, true)], 10, p));
} }), [["__scopeId", "data-v-573a1d3b"]]), b = { class: "foundation-input-wrapper" }, g = ["type", "value", "placeholder", "disabled", "required", "minlength", "maxlength", "pattern", "aria-invalid", "aria-describedby"], v = { key: 0, id: "input-error", class: "foundation-input-error" }, h = m(e({ __name: "index", props: { modelValue: {}, type: { default: "text" }, placeholder: {}, disabled: { type: Boolean, default: false }, required: { type: Boolean, default: false }, minLength: {}, maxLength: {}, pattern: {}, variant: { default: "default" }, size: { default: "medium" } }, emits: ["update:modelValue", "input", "focus", "blur"], setup(e2, { emit: i2 }) {
  const d2 = e2, p2 = i2, c2 = u(null), m2 = u(""), f2 = t(() => ["foundation-input", `foundation-input--${d2.variant}`, `foundation-input--${d2.size}`, { "foundation-input--disabled": d2.disabled, "foundation-input--error": m2.value }]), h2 = () => {
    if (!c2.value) return true;
    const e3 = c2.value.value;
    return d2.required && !e3 ? (m2.value = "This field is required", false) : d2.minLength && e3.length < d2.minLength ? (m2.value = `Minimum length is ${d2.minLength} characters`, false) : d2.maxLength && e3.length > d2.maxLength ? (m2.value = `Maximum length is ${d2.maxLength} characters`, false) : d2.pattern && !new RegExp(d2.pattern).test(e3) ? (m2.value = "Invalid input format", false) : (m2.value = "", true);
  }, y2 = (e3) => {
    const t2 = e3.target;
    p2("update:modelValue", t2.value), p2("input", e3), h2();
  }, x = (e3) => {
    p2("focus", e3);
  }, L = (e3) => {
    p2("blur", e3), h2();
  };
  return (e3, t2) => (a(), n("div", b, [r("input", { ref_key: "inputRef", ref: c2, class: l(f2.value), type: d2.type, value: d2.modelValue, placeholder: d2.placeholder, disabled: d2.disabled, required: d2.required, minlength: d2.minLength, maxlength: d2.maxLength, pattern: d2.pattern, onInput: y2, onFocus: x, onBlur: L, "aria-invalid": !!m2.value, "aria-describedby": m2.value ? "input-error" : void 0 }, null, 42, g), m2.value ? (a(), n("span", v, o(m2.value), 1)) : s("", true)]));
} }), [["__scopeId", "data-v-64e45c2c"]]), y = { install(e2) {
  e2.component("Button", f), e2.component("Input", h);
} };
export {
  f as Button,
  h as Input,
  y as default
};
//# sourceMappingURL=foundation-ui.es.js.map
